创建 personCertification
命名空间:microsoft.graph
在用户配置文件中创建新的 personCertification 对象。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
User.ReadWrite、User.ReadWrite.All |
| 委派(个人 Microsoft 帐户) |
User.ReadWrite、User.ReadWrite.All |
| 应用程序 |
User.ReadWrite.All |
HTTP 请求
POST /me/profile/certifications
POST /users/{id | userPrincipalName}/profile/certifications
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
| Content-Type |
application/json. Required. |
请求正文
在请求正文中,提供 personCertification 对象的 JSON 表示形式。
下表显示了在用户配置文件中创建新的 personCertification 对象时可以设置 的属性。
| 属性 |
类型 |
Description |
| allowedAudiences |
String |
能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。 |
| certificationId |
String |
证书的可引用标识符。 |
| 说明 |
String |
认证说明。 |
| displayName |
String |
认证的标题。 |
| endDate |
日期 |
认证到期的日期。 |
| inference |
inferenceData |
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet。 |
| issuedDate |
Date |
颁发证书的日期。 |
| issuingAuthority |
String |
授予证书的颁发机构。 |
| issuingCompany |
String |
授予证书的颁发机构。 |
| source |
personDataSource |
如果从另一个服务同步,则值源自何处。 继承自 itemFacet。 |
| startDate |
日期 |
认证生效的日期。 |
| thumbnailUrl |
String |
引用认证缩略图的 URL。 |
| WebUrl |
String |
引用证书的 URL。 |
响应
如果成功,此方法在响应 201 Created 正文中返回 响应代码和 personCertification 对象。
示例
POST https://graph.microsoft.com/beta/me/profile/certifications
Content-Type: application/json
{
"certificationId": "KB-1235466333663322",
"description": "Blackbelt in Marketing - Brand Management",
"displayName": "Marketing Blackbelt - Brand Management",
"thumbnailUrl": "https://iame.io/dfhdfdfd334.jpg",
"webUrl": "https://www.iame.io/blackbelt"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personCertification = new PersonCertification
{
CertificationId = "KB-1235466333663322",
Description = "Blackbelt in Marketing - Brand Management",
DisplayName = "Marketing Blackbelt - Brand Management",
ThumbnailUrl = "https://iame.io/dfhdfdfd334.jpg",
WebUrl = "https://www.iame.io/blackbelt"
};
await graphClient.Me.Profile.Certifications
.Request()
.AddAsync(personCertification);
const options = {
authProvider,
};
const client = Client.init(options);
const personCertification = {
certificationId: 'KB-1235466333663322',
description: 'Blackbelt in Marketing - Brand Management',
displayName: 'Marketing Blackbelt - Brand Management',
thumbnailUrl: 'https://iame.io/dfhdfdfd334.jpg',
webUrl: 'https://www.iame.io/blackbelt'
};
await client.api('/me/profile/certifications')
.version('beta')
.post(personCertification);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/profile/certifications"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphPersonCertification *personCertification = [[MSGraphPersonCertification alloc] init];
[personCertification setCertificationId:@"KB-1235466333663322"];
[personCertification setDescription:@"Blackbelt in Marketing - Brand Management"];
[personCertification setDisplayName:@"Marketing Blackbelt - Brand Management"];
[personCertification setThumbnailUrl:@"https://iame.io/dfhdfdfd334.jpg"];
[personCertification setWebUrl:@"https://www.iame.io/blackbelt"];
NSError *error;
NSData *personCertificationData = [personCertification getSerializedDataWithError:&error];
[urlRequest setHTTPBody:personCertificationData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PersonCertification personCertification = new PersonCertification();
personCertification.certificationId = "KB-1235466333663322";
personCertification.description = "Blackbelt in Marketing - Brand Management";
personCertification.displayName = "Marketing Blackbelt - Brand Management";
personCertification.thumbnailUrl = "https://iame.io/dfhdfdfd334.jpg";
personCertification.webUrl = "https://www.iame.io/blackbelt";
graphClient.me().profile().certifications()
.buildRequest()
.post(personCertification);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonCertification()
certificationId := "KB-1235466333663322"
requestBody.SetCertificationId(&certificationId)
description := "Blackbelt in Marketing - Brand Management"
requestBody.SetDescription(&description)
displayName := "Marketing Blackbelt - Brand Management"
requestBody.SetDisplayName(&displayName)
thumbnailUrl := "https://iame.io/dfhdfdfd334.jpg"
requestBody.SetThumbnailUrl(&thumbnailUrl)
webUrl := "https://www.iame.io/blackbelt"
requestBody.SetWebUrl(&webUrl)
result, err := graphClient.Me().Profile().Certifications().Post(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
CertificationId = "KB-1235466333663322"
Description = "Blackbelt in Marketing - Brand Management"
DisplayName = "Marketing Blackbelt - Brand Management"
ThumbnailUrl = "https://iame.io/dfhdfdfd334.jpg"
WebUrl = "https://www.iame.io/blackbelt"
}
# A UPN can also be used as -UserId.
New-MgUserProfileCertification -UserId $userId -BodyParameter $params
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-Type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"source": null,
"certificationId": "KB-1235466333663322",
"description": "Blackbelt in Marketing - Brand Management",
"displayName": "Marketing Blackbelt - Brand Management",
"endDate": "Date",
"issuedDate": "Date",
"issuingAuthority": null,
"issuingCompany": null,
"startDate": "Date",
"thumbnailUrl": "https://iame.io/dfhdfdfd334.jpg",
"webUrl": "https://www.iame.io/blackbelt"
}